OpCommands (gCube Resource Management Portlet 5.0.0-SNAPSHOT API)
Date: 2013-09-19

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.resourcemanagement.client.utils
Class OpCommands

    java.lang.Object
      org.gcube.portlets.admin.resourcemanagement.client.utils.OpCommands

    public class OpCommands

extends Object

Here the commands for operations on resources.

Author:
  Daniele Strollo (ISTI-CNR)

Constructor Summary
`OpCommands()`

Method Summary
`static void` | `doCreateGenericResource(String id, String name, String description, String body, String subType)`
`static void` | `doDeleteItems(org.gcube.resourcemanagement.support.client.views.ResourceTypeDecorator type, List<com.extjs.gxt.ui.client.data.ModelData> items, org.gcube.resourcemanagement.support.shared.operations.SupportedOperations requiredPermissions)` DELETE RESOURCE
`static void` | `doEditGenericResource(String id, String name, String description, String body, String subType)`
`static void` | `doGetDeployReport()`
`static void` | `doGetResourceByID()`
`static void` | `doOpenGenericResourceForm()` GENERIC RESOURCE
`static void` | `doOpenServiceForm()` SERVICE
`static void` | `doRestartGHNs(List<com.extjs.gxt.ui.client.data.ModelData> ghns, boolean clean)`
`static void` | `doShutdownGHNs(List<com.extjs.gxt.ui.client.data.ModelData> ghns)` GHN

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpCommands

    public OpCommands()

Method Detail

### doShutdownGHNs

    public static final void doShutdownGHNs(List<com.extjs.gxt.ui.client.data.ModelData> ghns)

  GHN

### doRestartGHNs

    public static final void doRestartGHNs(List<com.extjs.gxt.ui.client.data.ModelData> ghns,
                                           boolean clean)

### doDeleteItems

    public static final void doDeleteItems(org.gcube.resourcemanagement.support.client.views.ResourceTypeDecorator type,
                                           List<com.extjs.gxt.ui.client.data.ModelData> items,
                                           org.gcube.resourcemanagement.support.shared.operations.SupportedOperations requiredPermissions)

  DELETE RESOURCE

### doOpenGenericResourceForm

    public static final void doOpenGenericResourceForm()

  GENERIC RESOURCE

### doCreateGenericResource

    public static final void doCreateGenericResource(String id,
                                                     String name,
                                                     String description,
                                                     String body,
                                                     String subType)

### doEditGenericResource

    public static final void doEditGenericResource(String id,
                                                   String name,
                                                   String description,
                                                   String body,
                                                   String subType)

### doOpenServiceForm

    public static final void doOpenServiceForm()

  SERVICE

### doGetDeployReport

    public static final void doGetDeployReport()

### doGetResourceByID

    public static final void doGetResourceByID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.